import Func from '@/Engine/ECS/Function';

export enum FuncPageMenuState {
  Menu, // 菜单栏页面
  DataMeter, // 驾驶舱
  DataCenterBuild, // 数据中心-建设
  DataCenterOps, // 数据中心-运营
  FlowManage, // 流程管理
  ProjectDetail, // 水厂详情
  ProductionManage, // 生产管理
  DeviceManage, // 设备管理
  SafetyManage, // 安全管理
  LimitedSpace, // 有限空间
  ConfigManage, // 配置管理
}

export default class FuncPageMenu extends Func<FuncPageMenuState> {
  constructor(name: string) {
    super(name);
    super.initStates((sm) => {
      // sm.addState(FuncMainState.Login, new LoginHandle());
    });
  }
}

